(defproject com.github.harlanji.clojure-stack/pubsub-service "0.0.1-SNAPSHOT"
            :plugins [[lein-modules "0.3.11"]
                      [lein-ring "0.9.7"]]
            :dependencies [[org.clojure/clojure :clj1.7]
                           [prismatic/schema "1.0.3"]
                           [org.clojure/tools.cli "0.3.3"]
                           [nginx-clojure "0.4.3"]
                           [ring/ring-core "1.4.0"]
                           [ring/ring-json "0.4.0"]
                           [bidi "1.21.1"]
                           [com.github.harlanji.clojure-stack/core "_"]
                           [com.stuartsierra/component :component/clojure1.7+]]
            :ring {:init pubsub.demo/init
                   :handler pubsub.demo/app}
)